%define upstream_name    Test-Fixture-DBIC-Schema
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Load fixture data to storage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class) >= 0.80.80
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Kwalify) >= 1.160.0
BuildRequires: perl(Params::Validate) >= 0.890.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(YAML::Syck) >= 1.0.0
BuildArch:  noarch

%description
Test::Fixture::DBIC::Schema is fixture data loader for DBIx::Class::Schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-6.mga6
+ Revision: 1034291
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.40.0-5.mga6
+ Revision: 941725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 744081
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 525303
- Mageia 4 Mass Rebuild

* Thu May 30 2013 shlomif <shlomif> 0.40.0-1.mga4
+ Revision: 432990
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 373541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 310419
- imported package perl-Test-Fixture-DBIC-Schema


* Fri Oct 26 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
